# List Parallel Calculation Items Retrieves all PCI objects (Parallel Calculation Items) for the specified job. A lightweight version of the general fetch/PCI endpoint. Does not return possibly large outputs and messages fields. Endpoint: POST /optimization.modelfetchpci Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `endRow` (integer) - `oldValues` (object,null) - `operationType` (string) - `startRow` (integer) - `textMatchStyle` (string) - `data` (object, required) - `data.criteria` (array, required) - `data.criteria.fieldName` (string, required) Example: "jstId" - `data.criteria.operator` (string, required) - `data.criteria.value` (integer, required) The id of the job. Example: 2153717967 - `data._constructor` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (integer) - `response.data` (array) - `response.data.lastUpdateByName` (string) - `response.data.outputs` (array,null) Returned only when a PCI is fetched using fetch/PCI/{id} and fetch/PCI endpoints. Use the optimization.modelfetchpci endpoint to fetch the PCIs without possibly large outputs and messages fields. - `response.data.createdByName` (string) - `response.data.typedId` (string) - `response.data.inputs` (object) - `response.data.inputs.additionalProperties` (object) - `response.data.lastUpdateDate` (string) - `response.data.version` (integer) - `response.data.jstId` (integer) - `response.data.createdBy` (integer) - `response.data.messages` (array,null) Returned only when a PCI is fetched using fetch/PCI/{id} and fetch/PCI endpoints. Use the optimization.modelfetchpci endpoint to fetch the PCIs without possibly large outputs and messages fields. - `response.data.key` (string) - `response.data.status` (string) Enum: "CREATED", "CALCULATED", "FAILED" - `response.data.createDate` (string) - `response.data.lastUpdateBy` (integer) - `response.endRow` (integer) - `response.totalRows` (integer)